%define name  		mplayerplug-in
%define version 	3.55
%define release 	3%{?dist}
%define mozilla_dir 	/usr/lib/mozilla/
%define config_dir 	/etc

Summary: A browser plug-in for embedded movies on web pages
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://mplayerplug-in.sourceforge.net
Source: http://mplayerplug-in.sourceforge.net/%{name}-%{version}.tar.gz

License: GPLv2
Group: Applications/Multimedia
Requires: mplayer >= 0.92, xulrunner >= 1.9
BuildRequires: xulrunner-devel >= 1.9, glib2-devel, gtk2-devel
BuildRequires: libXpm-devel, libXt-devel, gcc-c++, gettext

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
mplayerplug-in is a browser plugin that uses mplayer to play videos
in your browser

%prep
rm -rf %buildroot && %{__mkdir} -p %buildroot%{mozilla_dir} && %{__mkdir} -p %buildroot%{config_dir} && %{__mkdir} -p %buildroot%{mozilla_dir}plugins && %{__mkdir} -p %buildroot%{mozilla_dir}components
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

%find_lang %{name}

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr (-, root, root)
%{mozilla_dir}/plugins/*
%config(noreplace) %{config_dir}/*
%doc ChangeLog INSTALL README TODO


%changelog
* Sat Aug 30 2008 Matthias Haase <matthias_haase@bennewitz.com> - 3.55-3
- Update to version 3.55

* Sat Jun 21 2008 Matthias Haase <matthias_haase@bennewitz.com> - 3.50-20080621
- Daily source code used to compile against xulrunner 1.9
- Added xulrunner and xulrunner-devel to dependencies

* Mon Jan 21 2008 Matthias Haase <matthias_haase@bennewitz.com> - 3.50-3
- Update to version 3.50

* Tue Nov 13 2007 Matthias Haase <matthias_haase@bennewitz.com> - 3.45-3
- Rebuild for Fedora 8
- libXpm-devel added to BuildRequires

* Thu Sep 20 2007 Matthias Haase <matthias_haase@bennewitz.com> - 3.45-2
- Update to version 3.45

* Sun Jun  3 2007 Matthias Haase <matthias_haase@bennewitz.com> - 3.40-3
- Rebuild for Fedora 7

* Wed May 16 2007 Matthias Haase <matthias_haase@bennewitz.com> - 3.40-2
- Update to version 3.40

* Fri Jan 12 2007 Matthias Haase <matthias_haase@bennewitz.com> - 3.35-2
- Update to version 3.35

* Sat Oct 28 2006 Matthias Haase <matthias_haase@bennewitz.com> - 3.31-3
- Rebuild for Fedora Core 6
- Rebuild against Firefox dependencies changed

* Fri Sep 22 2006 Matthias Haase <matthias_haase@bennewitz.com> - 3.31-2
- Update to version 3.31
- File list simplified

* Thu Apr 13 2006 Matthias Haase <matthias_haase@bennewitz.com> - 3.25-1
- Update to version 3.25

* Fri Mar 24 2006 Matthias Haase <matthias_haase@bennewitz.com> - 3.21-1
- Update to version 3.21
- %{?dist} added
- Rebuild for Fedora Core 5
- Firefox added to deps

* Fri Dec  9 2005 Matthias Haase <matthias_haase@bennewitz.com> - 3.17-1
- Update to version 3.17

* Tue Sep 20 2005 Matthias Haase <matthias_haase@bennewitz.com> - 3.11-1
- Update to version 3.11
- Major specfile change, done by Kevin DeKorte <kdekorte@users.sourceforge.net

* Thu Jun 16 2005 Matthias Haase <matthias_haase@bennewitz.com> - 2.85-1
- Update to version 2.85
- Rebuild for Fedora Core 4

* Thu Apr 21 2005 Matthias Haase <matthias_haase@bennewitz.com>
- Update to version 2.80

* Fri Dec 17 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to version 2.75

* Wed Nov 10 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Rebuild for Fedora Core 3

* Fri Oct 8 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to version 2.70

* Sun Jun 27 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to version 2.66

* Wed Jun 02 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Rebuild for Fedora Core 2

* Sat Apr 24 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to version 2.60

* Sat Mar 20 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to version 2.50
- Major changes

* Fri Jan 20 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to version 1.2

* Fri Jan 16 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to version 1.1

* Tue Jan 06 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to version 1.0

* Sun Nov 09 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Update to version 1.0pre2
- Rebuild for Fedora Core 1
- Build changed

* Tue Oct 21 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Update to version 0.95

* Fri Sep 12 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Update to version 0.91
- Source1 removed, some other cosmetic changes

* Sat May 31 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Update to version 0.80
- Source0: File name changed

* Sat Apr 26 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Rebuild of version 0.71

* Sat Apr 05 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Rebuild of version 0.60 for RH9

* Wed Mar 12 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Rebuild for version 0.60

* Mon Feb 10 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Rebuild for version 0.40
- Config-file changes added.

* Fri Jan 24 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Initial build for RedHat 8.0
